# Creates a checklist item for a task.

POST https://api.awork.com/api/v1/tasks/{taskId}/checklistitems

Creates a checklist item for a task. The new item is added to the task checklist. <Check title="Required Permissions" icon="key">The required permissions depend on the base type of the task. If the task is a project task, the user must have either `project-master-data:write` permissions or be assigned to the task. For a user's private task, no special permissions are required.</Check>

## Request example

```sh
curl -X POST --globoff 'https://api.awork.com/api/v1/tasks/{taskId}/checklistitems' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  --data '{
  "isDone": true,
  "name": "Create YouTube Ads",
  "order": 4
}'
```

- path parameter `taskId`: string (required). The id of the task.

## Request body (application/json)

- `isDone`: boolean

- `name`: string (required)

- `order`: number or null

## Response 200

OK

application/json

```json
{
  "isDone": true,
  "name": "Create YouTube Ads",
  "order": 4,
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdOn": "2021-03-12T11:00:00Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2021-03-14T11:31:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "taskId": "123e4567-e89b-12d3-a456-426614174000"
}
```

## Response 401

Unauthorized

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```

## Response 404

Not Found

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
